## ros-eloquent-kobuki-dock-drive 1.0.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 3.5)
project(kobuki_dock_drive)

##############################################################################
# Find Packages
##############################################################################

find_package(ament_cmake_ros REQUIRED)

find_package(ecl_build REQUIRED)
find_package(ecl_geometry REQUIRED)
find_package(ecl_linear_algebra REQUIRED)
find_package(ecl_threads REQUIRED)

##############################################################################
# Platform Configuration
##############################################################################

ament_package_xml()
ecl_enable_cxx14_compiler()
ecl_enable_cxx_warnings()

##############################################################################
# Sources
##############################################################################

add_subdirectory(include)
add_subdirectory(src)

##############################################################################
# Exports
##############################################################################

ament_export_interfaces(${PROJECT_NAME})
ament_export_dependencies(
    ecl_geometry
    ecl_linear_algebra
    ecl_threads
)
# TODO: deprecate this line post 'ardent' (been fixed upstream)
ament_export_libraries(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-eloquent-kobuki-dock-drive (1.0.0-1bionic) bionic; urgency=high

  * [infra] port and release for ROS2/Eloquent
  * [dock] avoid a crash, but falls short of fixing all failing states in the docking sequence #55 <https://github.com/yujinrobot/kobuki_core/pull/55>
  * [infra] some minor clang static anlayser fixes, #54 <https://github.com/yujinrobot/kobuki_core/pull/54>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 13 Jan 2020 05:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.8.0-1bionic) bionic; urgency=high

  * build rules updated for ament

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 09 Jan 2020 05:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.6.2-1bionic) bionic; urgency=high

  * enable the cx11 compiler

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 05:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.6.0-1bionic) bionic; urgency=high

  * Redevelopment of kobuki dock drive algorithm.
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Aug 2014 04:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.5.3-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.5.2-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 31 Aug 2013 04:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.5.1-1bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.5.0-1bionic) bionic; urgency=high

  * Added extra url info on all packages.
  * adds params for kobuki_auto_docking launchers.
  * Changelogs at package level.
  * 32 bit alignment error. Fast fix: just remove the
    eigen-inheritor attribute, as it's not really needed. It was already
    commented in a previous commit; here I just cleanup and provide a
    description of the fix.
    But the fact is that something is wrong on ecl. We keep track on.
  * Fixed Eigenlib alignment error on 32 bit architectures.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-eloquent-kobuki-dock-drive (0.4.0-1bionic) bionic; urgency=high

  * Add minimum speed parameters: with heavy payloads, at very low speeds, the robot can get stuck easily.
  * Remove motors enabling/disabling, as it can be confusing and it's not particularly useful.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-eloquent-kobuki-dock-drive
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-ros, ros-eloquent-ecl-build, ros-eloquent-ecl-geometry, ros-eloquent-ecl-linear-algebra, ros-eloquent-ecl-threads, ros-eloquent-ros-workspace
Homepage: https://index.ros.org/k/kobuki_dock_drive/github-kobuki-base-kobuki_dock_drive
Standards-Version: 3.9.2

Package: ros-eloquent-kobuki-dock-drive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ecl-geometry, ros-eloquent-ecl-linear-algebra, ros-eloquent-ecl-threads, ros-eloquent-ros-workspace
Description: Dock driving library for Kobuki.
 Users owning a docking station for Kobuki can use this tool to develop autonomous docking drive algorithms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-kobuki-dock-drive//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
